Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.gmt.modisco.infra.facet.core.adapters.instances
Enum MetaclassInstancesAdapterWithFacet.RefreshStrategy

    java.lang.Object
      java.lang.Enum<MetaclassInstancesAdapterWithFacet.RefreshStrategy>
          org.eclipse.gmt.modisco.infra.facet.core.adapters.instances.MetaclassInstancesAdapterWithFacet.RefreshStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MetaclassInstancesAdapterWithFacet.RefreshStrategy>

Enclosing class:
  MetaclassInstancesAdapterWithFacet

    public static enum MetaclassInstancesAdapterWithFacet.RefreshStrategy

extends java.lang.Enum<MetaclassInstancesAdapterWithFacet.RefreshStrategy>

How to refresh Facets when a model element is modified

Enum Constant Summary
`All` Recompute everything (can be very slow on big models, or with many Facets)
`ContainmentHierarchy` Refresh the modified element and all its parents (slower)
`Element` Refresh the modified element (reasonably fast)
`None` Do nothing (the user has to refresh manually)

Method Summary
`static MetaclassInstancesAdapterWithFacet.RefreshStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MetaclassInstancesAdapterWithFacet.RefreshStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final MetaclassInstancesAdapterWithFacet.RefreshStrategy None

  Do nothing (the user has to refresh manually)

### Element

    public static final MetaclassInstancesAdapterWithFacet.RefreshStrategy Element

  Refresh the modified element (reasonably fast)

### ContainmentHierarchy

    public static final MetaclassInstancesAdapterWithFacet.RefreshStrategy ContainmentHierarchy

  Refresh the modified element and all its parents (slower)

### All

    public static final MetaclassInstancesAdapterWithFacet.RefreshStrategy All

  Recompute everything (can be very slow on big models, or with many Facets)

Method Detail

### values

    public static final MetaclassInstancesAdapterWithFacet.RefreshStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MetaclassInstancesAdapterWithFacet.RefreshStrategy c : MetaclassInstancesAdapterWithFacet.RefreshStrategy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MetaclassInstancesAdapterWithFacet.RefreshStrategy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD